<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Sebastian Boettger <boettger@cs.uni-kassel.de>, Knowledge and Data Engineering Group (University of Kassel)
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ************************************************************** */

/**
 *
 *
 * @package ext_bibsonomy_csl
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * @author Sebastian Böttger
 *
 */
class Tx_ExtBibsonomyCsl_Controller_TagController extends Tx_Extbase_MVC_Controller_ActionController {

    /**
     * tagRepository
     *
     * @var Tx_ExtBibsonomyCsl_Domain_Repository_TagRepository
     */
    protected $tagRepository;

    /**
     * injectPublicationRepository
     *
     * @param Tx_ExtBibsonomyCsl_Domain_Repository_TagRepository $tagRepository
     * @return void
     */
    public function injectTagRepository(
    Tx_ExtBibsonomyCsl_Domain_Repository_TagRepository $tagRepository) {

        $this->tagRepository = $tagRepository;
    }

    /**
     * @return void 
     */
    public function initializeAction() {
        if ($this->tagRepository == null) {
            $this->tagRepository = & t3lib_div::makeInstance('Tx_ExtBibsonomyCsl_Domain_Repository_TagRepository');
        }
    }

    /**
     * action list
     *
     * @return void
     */
    public function listAction() {

        $tags = $this->tagRepository->fetchTags($this->settings);

        //$maxcount = 
        $tag = $tags[0];
        $maxcount = $tag->getUsercount();
        usort($tags, "self::cmp");


        $this->view->assign('tags', $tags);
        $this->view->assign('maxcount', $maxcount);
    }

    /**
     * Compare function, compages by name
     * @param Tx_ExtBibsonomyCsl_Domain_Model_Tag $a
     * @param Tx_ExtBibsonomyCsl_Domain_Model_Tag $b
     * @return integer 
     */
    public function cmp(
    Tx_ExtBibsonomyCsl_Domain_Model_Tag $a, Tx_ExtBibsonomyCsl_Domain_Model_Tag $b) {

        return $a->cmpName($b);
    }

}

?>