<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Sebastian Boettger <boettger@cs.uni-kassel.de>, Knowledge and Data Engineering Group (University of Kassel)
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package ext_bibsonomy_csl
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Tx_ExtBibsonomyCsl_Domain_Model_Tag extends Tx_Extbase_DomainObject_AbstractEntity {

	/**
	 * href
	 *
	 * @var string
	 */
	protected $href;

	/**
	 * name
	 *
	 * @var string
	 * @validate NotEmpty
	 */
	protected $name;

	/**
	 * usercount
	 *
	 * @var integer
	 * @validate NotEmpty
	 */
	protected $usercount;

	/**
	 * globalcount
	 *
	 * @var integer
	 * @validate NotEmpty
	 */
	protected $globalcount;

	/**
	 * URL to BibSonomy/PUMA
	 * @var string  
	 */
	protected $url;
	
	
	/**
	 * Returns the href
	 *
	 * @return string $href
	 */
	public function getHref() {
		return $this->href;
	}

	/**
	 *
	 * @param string $url 
	 */
	public function setUrl($url) {
		$this->url = $url;
	}
	/**
	 *
	 * @return string $url 
	 */
	public function getUrl() {
		return $this->url;
	}
	
	
	/**
	 * Sets the href
	 *
	 * @param string $href
	 * @return void
	 */
	public function setHref($href) {
		$this->href = $href;
	}

	/**
	 * Returns the name
	 *
	 * @return string $name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets the name
	 *
	 * @param string $name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Returns the usercount
	 *
	 * @return integer $usercount
	 */
	public function getUsercount() {
		return $this->usercount;
	}

	/**
	 * Sets the usercount
	 *
	 * @param integer $usercount
	 * @return void
	 */
	public function setUsercount($usercount) {
		$this->usercount = $usercount;
	}

	/**
	 * Returns the globalcount
	 *
	 * @return integer $globalcount
	 */
	public function getGlobalcount() {
		return $this->globalcount;
	}

	/**
	 * Sets the globalcount
	 *
	 * @param integer $globalcount
	 * @return void
	 */
	public function setGlobalcount($globalcount) {
		$this->globalcount = $globalcount;
	}

	/**
	 *
	 * @param Tx_ExtBibsonomyCsl_Domain_Model_Tag $tag
	 * @return type 
	 */
	public function cmpName(Tx_ExtBibsonomyCsl_Domain_Model_Tag $tag) {
		
		return strcmp($this->getName(), $tag->getName());
		
	}
	
}
?>