<?php


/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

require_once t3lib_extMgm::extPath("ext_bibsonomy_csl")."Classes/Lib/citeproc-php/CiteProc.php";

/**
 *
 *
 * @package ext_bibsonomy_csl
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * @author Sebastian Böttger
 */
class Tx_ExtBibsonomyCsl_ViewHelpers_CslRenderedPublicationViewHelper 
                           extends Tx_Fluid_Core_ViewHelper_AbstractViewHelper {
    
    /**
     *
     * @param string $jsonSource
     * @param string $xmlSource
	 * @param string $host
     * @return string 
     */
    public function render($jsonSource, $xmlSource, $host = "http://www.bibsonomy.org") {
        
        $citeproc = citeproc::getInstance($xmlSource);
        
		//debug($xmlSource);
		
        $object = json_decode($jsonSource);
        
        if($object == null) {
            throw new Tx_ExtBibsonomyCsl_Domain_Exception_JsonDecodeException();
        }
        
        $out = $citeproc->render($object);
		
		if (!empty($object->URL)) {
			$components = parse_url($object->URL);
			$qry = $components["query"];
			unset($components["query"]);
			$url = Tx_ExtBibsonomyCsl_Url::http_build_url($components);
			
			$out .= '<span class="pdf">[<a href="' . $url . '?'.str_replace('&', '&amp;', $qry). '" target="_blank">URL</a>]</span> ';
		}

		$out .= '<span class="bibtex">[<a href="'.$host.'bib/bibtex/2' . substr($object->id, 0, 32) . '?bibtex.entriesPerPage=1' . '" target="_blank">BibTeX</a>]</span>';
		$out .= '<div style="clear: left"> </div>';
		return $out;/*preg_replace('!(.*)((https?):(//)+[\w\d:#@%/;$()~_?\+-=\\\.&]*)(([\.|,| |;]).*)!i', '$1<a href="$2" target="_blank">$2</a>$5', $out);*/
    }
}

?>
